Page 50 of 59 FirstFirst ... 404849505152 ... LastLast
Results 981 to 1,000 of 1174

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: General Info for Jailbreaking iPhone 3GS, 4, & 4S

  1. #981
    hello,

    I just downloaded sn0wbreeze 2.7.3 and i have a feeling the menu has change a little since the op put together the instructions in this thread. i was wondering if someone could confirm which selections are correct:

    1. browse and select the stock firmware (3gs: iPhone2,1_4.3.3_8J2_Restore.ipsw)
    2. menu pops up regarding bootrom - select "old bootrom"
    3. select a mode - select "expert mode"
    4. now i have 5 options: General, Unlocks, Custom boot logos, Custom Package, Build IPSW - i guess this is the one i have most trouble with

    can someoine please confirm? Thanks!

    *3gs, 4.0.1, 5.13.04, do not depend on unlock but would like to have that feature for the future
    Last edited by mojof1; 07-15-2011 at 07:30 PM.

  2. #982
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    So you have an official SIM. select expert mode and go to General and uncheck the box to "activate" then continue, then select to build the custom fw.

    P.S. The menus didn't change I just did things a little out of order so I could explain the difference between creating an activated fw and one that is not activated.

  3. The Following User Says Thank You to i.Annie For This Useful Post:

    katastrophic (08-27-2011)

  4. #983
    a few questions about upgrading to 4.3+fw and jailbreaking.



    hi guys, first i want to apologize for this question because most of you will probably consider it to be a noobish question.

    i got a 3gs about a year and a half ago. it was on FW 3.12. i jail broke it and unlocked it. when 4.01 FW came out i just did a upgrade through itunes, and jailbroke my phone on the jailbreakme.com site.

    its been a very long time since ive upgraded.

    my baseband is 5.13.04.

    my question is, is it possible for me to upgrade the firmware to something newer like a 4.3 firmware and jailbreak and unlock? i am currently with tmobile, so unlocking is very important for me.

    the main reason why i would like to upgrade to a newer firmware is for application use. some apps i want to use require the latest firmware.

    i just want to make sure that its possible to update to a newer firmware, jail break it, and unlock it.

    i dont want to upgrade to a newer firmware if it can't JB and unlock, because then i would have no use for the phone (with tmobile).


    also i did a backup of the shsh files, but im not sure what they are, or what they do. i just backed them up because it was recommended.

  5. #984
    Ok now to make sre do you have your 4.3.3 shsh's? If not you cannot currently upgrade as the 4.3.4 is currently tethered. Now if you do what you'd want to do is either download sn0wbreeze which is for windows or pwnagetool which is for mac. Download a 4.3.3 firmware from Firmware - Downloads - ModMyi Forums as well. Afterwards you'd want to open pwangetool or sn0wbreeze depending on which you downloaded and choose the 4.3.3 firmware that you downloaded. Build the firmware and choose to activate if you do not have the AT&T sim card. Then put the phone into pwned dfu mode. Open tinyumbrella and start the TSS server. then open iTunes up and it should detect the iPhone. After it detects the iPhone click shift (windows) or alt (mac) and then restore. Choose the custom firmware and this is vital because if you choose the wrong one you risk putting an unlockable baseband onto the phone. It will restore and you should then be on 4.3.3 with a 05.13.04 baseband. Disable 3G and then install ultrasn0w.
    Quote Originally Posted by ikesmasher View Post
    that was officially the scariest thing you have ever said str4y.
    Quote Originally Posted by Pancho paco View Post
    Dude T.M.I

  6. #985
    Quote Originally Posted by Str4y View Post
    Ok now to make sre do you have your 4.3.3 shsh's? If not you cannot currently upgrade as the 4.3.4 is currently tethered. Now if you do what you'd want to do is either download sn0wbreeze which is for windows or pwnagetool which is for mac. Download a 4.3.3 firmware from Firmware - Downloads - ModMyi Forums as well. Afterwards you'd want to open pwangetool or sn0wbreeze depending on which you downloaded and choose the 4.3.3 firmware that you downloaded. Build the firmware and choose to activate if you do not have the AT&T sim card. Then put the phone into pwned dfu mode. Open tinyumbrella and start the TSS server. then open iTunes up and it should detect the iPhone. After it detects the iPhone click shift (windows) or alt (mac) and then restore. Choose the custom firmware and this is vital because if you choose the wrong one you risk putting an unlockable baseband onto the phone. It will restore and you should then be on 4.3.3 with a 05.13.04 baseband. Disable 3G and then install ultrasn0w.
    i do not have back ups of 4.3.3 shsh's. the last time i back up a shsh was a very long time ago with 4.01.

    so this is what i have to do right?

    1. get snowbreeze
    2. download an official firmware
    3. open snowbreeze and select the firmware i just downloaded. (got it here iPhone 3GS 4.3.3 - Downloads - ModMyi Forums)
    4. in snowbreeze choose activate, because i do not have a att sim.

    here is what im misunderstanding, what is pwned dfu mode?

    5. after getting into pwned dfu mode, i open tinyumbrella and start tss server.
    6. open itunes and select the custom firmware.

    after this the process is complete? what do i use to unlock the phone again?

    thank you for the help, and sorry for all the questions.
    4.

  7. #986
    download tinyumbrella as well to see if your 4.3.3 shsh's are saved The Firmware Umbrella - TinyUmbrella
    pwned dfu mode allows you to restore to a custom firmware. if you do not have them saved i'd stay at 4.0.1. Hopefully someone will take over as I am about to go to bed.
    Quote Originally Posted by ikesmasher View Post
    that was officially the scariest thing you have ever said str4y.
    Quote Originally Posted by Pancho paco View Post
    Dude T.M.I

  8. #987
    ok i checked tinyumbrella and clicked "save all shsh"

    in the box that says all saved shsh's, it shows 4.01, 4.1, 4.3.4, and a few that say 5b.

    since i dont have the 4.3.3 shsh's i should just stick with 4.01 huh.


    what im trying to do is use software to be able to stream movies from my pc to my phone through wi-fi. i heard that this is only possible with firmwares 4.3 and up.

  9. #988
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    4.1 is what you'd probably want. Less buggy than 4.0.1. I don't know what 4.3.3 offers really, so I can't really answer that question. Ultimately I'd suggest 4.2.1 if anything but it looks like you don't have SHSHs for that.

  10. The Following User Says Thank You to i.Annie For This Useful Post:

    katastrophic (08-27-2011)

  11. #989
    Quote Originally Posted by i.Annie View Post
    4.1 is what you'd probably want. Less buggy than 4.0.1. I don't know what 4.3.3 offers really, so I can't really answer that question. Ultimately I'd suggest 4.2.1 if anything but it looks like you don't have SHSHs for that.
    annie do you know if 4.1 allows for the streaming capabilities? that is one of my main concerns. if its not possible, its ok. i have no problems staying with 4.0.1.

    also, how did tiny umbrella back up 4.1 if i never upgraded past 4.0.1?

    thanks

  12. #990
    If you mean AirPlay, that was introduced with 4.2
    TU will grab blobs for any version Apple are signing when you run it, currently 4.3.4 and 5.0b 1-3
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  13. #991
    Green Apple cheme75's Avatar
    Join Date
    Apr 2010
    Location
    sweltering south
    Posts
    88
    Thanks
    22
    Thanked 5 Times in 5 Posts

    isn't tu just for reverting back to an older version? ie: if he goes up to 4.3.3 and has issues, then he can only come back down to those for which he has the shsh saved - in this case 4.01 or 4.1

    seems like all he needs to do is use sn0wbreeze to make a custom ipsw for 4.2.1 or 4.3.3 or whatever 4.x is desired and just tell sn0wbreeze to preserve baseband - actually i think it defaults to preserve baseband. then use redsn0w to enter pwnd dfu mode and then itunes to shift-restore the custom ipsw.
    --
    Brick & Mortar Mantra: If it ain't broke, don't fix it!
    Web Mantra: If it ain't broke, fix it anyway!

  14. #992
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    TU allows you to utilize SHSHs blobs to restore to any unsigned fw. It doesn't have to be a downgrade. You can be on 4.1 and want 4.3.3 but not 4.3.4 and restore to 4.3.3 with SHSHs bc Apple stopped signing 4.3.3 already. So you can upgrade with TU as well.

    Custom firmwares also require SHSHs if like I said the fw version is no longer signed, so no a custom fw is of no use either if SHSHs for 4.3.3 are not saved.

  15. The Following 2 Users Say Thank You to i.Annie For This Useful Post:

    cheme75 (07-31-2011), katastrophic (08-27-2011)

  16. #993
    3) Stock 4.3.3 ipsw (Felixbruns.de)

    There is no option to download 4.3.3 only 4.3

  17. #994
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Then check MMi's Downloads section

  18. The Following User Says Thank You to i.Annie For This Useful Post:

    katastrophic (08-27-2011)

  19. #995
    Im just having no luck with upgrading from 4.0.1 to 4.3.3
    I did everything in your tutorial including the tiny umbrella unckeck step and I still get errors 3014 and 3194 or something like that when trying to restore to the custom firmware created by snowbreeze. Im using itunes 9.2.0.61 and my 3gs is on jailbroken and unlocked with ultrasnow. baseband is 5.13.04

  20. #996
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    I have to update. 4.3.3 just recently stopped being signed by Apple. SHSHs are required for 4.3.3 now. You'll need your 4.3.3 SHSHs to upgrade without being forced up to 4.3.4

    Edit: It's updated. You can view it again and follow the instructions listed, if you find that you have saved SHSHs for 4.3.3.
    Last edited by i.Annie; 07-20-2011 at 04:57 PM.

  21. The Following User Says Thank You to i.Annie For This Useful Post:

    katastrophic (08-27-2011)

  22. #997
    2) Redsn0w 0.9.6rc16 (Dev team blog) ?
    s/be rc18 now.

    Thanks
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  23. #998
    Super Penguin Mod i.Annie's Avatar
    Join Date
    Jun 2009
    Location
    SW Ohio
    Posts
    16,907
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    It would still work the same Edited anyhow.

  24. The Following User Says Thank You to i.Annie For This Useful Post:

    katastrophic (08-27-2011)

  25. #999
    Quote Originally Posted by i.Annie View Post
    It would still work the same Edited anyhow.
    It would do - for 99% of people. The edit is better. Thank you.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  26. #1000
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,719
    Thanks
    6,952
    Thanked 15,502 Times in 7,090 Posts

    Isn't rc19 the one linked to in the dev team blog now?

Page 50 of 59 FirstFirst ... 404849505152 ... LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •